Konten · API
Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.
GET /api/v1/profiles/{id}/accounts
Plattformkonten eines Profils (Passwörter maskiert)
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"profile_id",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"sort_order",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"profile_id": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"type": [
"null",
"string"
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Plattformkonten eines Profils (Passwörter maskiert)",
"tags": [
"Konten"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"profile_id",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"sort_order",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"profile_id": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"type": [
"null",
"string"
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/{id}/accounts
Plattformkonto anlegen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"platform_url"
],
"properties": {
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"username": {
"type": [
"string",
"null"
],
"maxLength": 256
},
"password": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"totp_secret": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"notes": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"sort_order": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"201": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"profile_id",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"sort_order",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"profile_id": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"type": [
"null",
"string"
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Plattformkonto anlegen",
"tags": [
"Konten"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"platform_url"
],
"properties": {
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"username": {
"type": [
"string",
"null"
],
"maxLength": 256
},
"password": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"totp_secret": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"notes": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"sort_order": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"201": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"profile_id",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"sort_order",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"profile_id": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"type": [
"null",
"string"
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PATCH /api/v1/profiles/{id}/accounts/{accountId}
Plattformkonto ändern; password/totp_secret null entfernt den Wert
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"username": {
"type": [
"string",
"null"
],
"maxLength": 256
},
"password": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"totp_secret": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"notes": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"sort_order": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"profile_id",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"sort_order",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"profile_id": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"type": [
"null",
"string"
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Plattformkonto ändern; password/totp_secret null entfernt den Wert",
"tags": [
"Konten"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"username": {
"type": [
"string",
"null"
],
"maxLength": 256
},
"password": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"totp_secret": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"notes": {
"type": [
"string",
"null"
],
"maxLength": 1024
},
"sort_order": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"profile_id",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"sort_order",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"profile_id": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"type": [
"null",
"string"
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"type": [
"null",
"string"
]
},
"sort_order": {
"type": "integer"
},
"created_at": {
"type": "integer"
},
"updated_at": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/profiles/{id}/accounts/{accountId}
Plattformkonto löschen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"204": {
"description": "No content."
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Plattformkonto löschen",
"tags": [
"Konten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"204": {
"description": "No content."
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/profiles/{id}/accounts/{accountId}/password
Passwort im Klartext abrufen (wird protokolliert)
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: secrets:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"password"
],
"properties": {
"password": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Passwort im Klartext abrufen (wird protokolliert)",
"tags": [
"Konten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"password"
],
"properties": {
"password": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/profiles/{id}/accounts/{accountId}/totp
Aktuellen 2FA-Code erzeugen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: secrets:totp
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"code",
"remaining_s"
],
"properties": {
"code": {
"type": "string"
},
"remaining_s": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Aktuellen 2FA-Code erzeugen",
"tags": [
"Konten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"secrets:totp"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"code",
"remaining_s"
],
"properties": {
"code": {
"type": "string"
},
"remaining_s": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}